/* foXcommander - foXdesktop file manager
 * Copyright (C) 2000-2001 Josua Groeger derived from XWC (C) 1999-2000 Maxim Baranov
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FDCAPPLICATIONSFOXCOMMANDER_H
#define FDCAPPLICATIONSFOXCOMMANDER_H

#include <foXdesktop/foXdesktop.h>

class FDCApplicationsFoXcommander: public FDComponent
{
  FDCDECLARE (FDCApplicationsFoXcommander)
  private:
    FXCheckButton *confirmDeleteButton;
    FXCheckButton *alwaysAskButton;
    FXCheckButton *showToolbarButton;
    FXCheckButton *twoPanelsButton;
    FXCheckButton *showStatusbarButton;
    FXCheckButton *showTreeButton;
    FXCheckButton *showHiddenFilesButton;

    FXRegistry *foXcommanderRegistry;

  protected:
    FDCApplicationsFoXcommander () {};

  public:
    FDCApplicationsFoXcommander (FDCARGS);
    virtual ~FDCApplicationsFoXcommander ();
    
    virtual void read ();
    virtual void write ();
    virtual void defaults ();
  
    virtual void about ();
    virtual void help ();
};

#endif
