/* foXcommander - foXdesktop file manager
 * Copyright (C) 2000-2001 Josua Groeger derived from XWC (C) 1999-2000 Maxim Baranov
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FXATTRBOX_H
#define FXATTRBOX_H

#include <foXdesktop/foXdesktop.h>

class FXAttributesBox;

class PermFrame : public FXVerticalFrame
{
    FXDECLARE(PermFrame)
    friend class FXAttributesBox;
private:
    PermFrame(){}
    FXCheckButton*    ur;
    FXCheckButton*    uw;
    FXCheckButton*    ux;
    FXCheckButton*    gr;
    FXCheckButton*    gw;
    FXCheckButton*    gx;
    FXCheckButton*    cb_or;
    FXCheckButton*    ow;
    FXCheckButton*    ox;

    FXRadioButton*    add;
    FXRadioButton*    clear;
    FXRadioButton*    set;
    FXCheckButton*    rec;
    FXCheckButton*    dironly;
    FXComboBox*       user;
    FXComboBox*       grp;

public:
/*
    enum
    {
        ID_SET=FXDialogBox::ID_LAST,
        ID_CLEAR,
        ID_ADD,
        ID_LAST
    };
*/

    PermFrame(FXComposite *parent,FXObject *target);
};


class FXAttributesBox : public FXDialogBox {
	FXDECLARE(FXAttributesBox)
		
private:
    FXAttributesBox() {}
    pid_t pid;
    int fd[2];
//    FXbool run_du;
    char tmp[100];
   FXLabel				*fileSize;
   FXString				*files;
   FXString				orig_file;
   FXString                             oldusr;
   FXString                             oldgrp;
   int					num;
   FXCheckButton*    ur;
   FXCheckButton*    uw;
   FXCheckButton*    ux;
   FXCheckButton*    gr;
   FXCheckButton*    gw;
   FXCheckButton*    gx;
   FXCheckButton*    cb_or;
   FXCheckButton*    ow;
   FXCheckButton*    ox;
   FXTextField			*input;
   FXTextField			*username;
   FXTextField			*grpname;
   
//   FXString                     fileassoc;
   
   FXTextField			*open;
   FXTextField                  *view;
   FXTextField                  *edit;
   FXTextField			*ext;
   FXTextField			*descr;
   FXTextField			*bigic;
   FXTextField			*miniic;
   

   mode_t				mode;
   mode_t				orig_mode;
/*
   FXRadioButton		*add;
   FXRadioButton		*clear;
   FXRadioButton		*set;
   FXCheckButton                *rec;
   FXComboBox                   *user;
   FXComboBox                   *grp;
*/
   int					command;
   PermFrame*                    perm;
//   int rec;
public:
enum{
    ID_ACCEPT=FXDialogBox::ID_LAST,
    ID_CANCEL,
      ID_ACCEPT_MULT,
      ID_SET,
      ID_CLEAR,
      ID_ADD,
      ID_BIG_ICON,
      ID_MINI_ICON,
      ID_BROWSE_OPEN,
      ID_BROWSE_VIEW,
      ID_BROWSE_EDIT,
      ID_LAST
	};

public:
   FXAttributesBox(FXApp *app,FXString file,FXString path);
   FXAttributesBox(FXApp *app,FXString *files,int num);
   long onCmdAcceptSingle(FXObject*,FXSelector,void*);
   long onCmdCancel(FXObject*,FXSelector,void*);
   long onCmdAcceptMult(FXObject*,FXSelector,void*);
   long onCmdCheck(FXObject*,FXSelector,void*);
   long onCmdCommand(FXObject*,FXSelector,void*);
   long onCmdBrowseIcon(FXObject*,FXSelector,void*);
   long onCmdBrowse(FXObject*,FXSelector,void*);
   long onUpdWait(FXObject*,FXSelector,void*);
   pid_t child(){return pid;};
   
   
   
   
  private:
    int rchmod(char *path,mode_t mode,FXbool dironly=FALSE);
    int rchown(char *path,uid_t uid,gid_t gid,FXbool dironly=FALSE);
    int chmod(char *path,mode_t mode,FXbool rec,FXbool dironly=FALSE);
    int chown(char *path,uid_t uid,gid_t gid,FXbool rec,FXbool dironly=FALSE);
    
};

#endif
