/* foXcommander - foXdesktop file manager
 * Copyright (C) 2000-2001 Josua Groeger derived from XWC (C) 1999-2000 Maxim Baranov
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HDIALOGS_H
#define HDIALOGS_H

class XComApp;

class MyComboBox : public FXComboBox
{
    FXDECLARE(MyComboBox)
     MyComboBox(){;}
public:
    FXTextField *getTextEntry(){return text;}
    void Focus()
    {
        text->setFocus();
    }
    MyComboBox(FXComposite *p,FXint cols,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0);
};

class HInputDialog : public FXDialogBox 
{
    FXDECLARE(HInputDialog)
protected:
    FXVerticalFrame* contents;
    FXHorizontalFrame* buttons;
    MyComboBox *input;
    FXLabel*           label;
    FXDataTarget*      string_target;
private:
    HInputDialog(){;}
public:
    HInputDialog(FXApp*,FXString& ,FXString,FXString,FXString label="",FXIcon *ic=NULL);
    virtual void create();
    long onCmdKeyPress(FXObject*,FXSelector,void*);
    FXString getText(){return input->getText();}
    void CursorEnd();
    void SelectAll();
    void appendItem(char *str){input->appendItem(str);};
    FXString getHistoryItem(int pos){return input->getItemText(pos);}
    int getHistorySize(){return input->getNumItems();}
};
#endif
