/* foXcommander - foXdesktop file manager
 * Copyright (C) 2000-2001 Josua Groeger derived from XWC (C) 1999-2000 Maxim Baranov
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef PANEL_H
#define PANEL_H
#include "Attributes.h"

class Panel : public FXVerticalFrame {
	FXDECLARE(Panel)
	friend class FDAppMainWindow;
protected:
   Panel*      	  current;
   FXFileList*	  list;
   Panel*	  next;
   FXLabel*	  label;
   FXLabel*	  status;
   FXString       name;
   FXAttributesBox  *attrdlg;
   int clp;
public:
    Panel(FXchar*,FXComposite*);
    Panel(){}
    ~Panel();

    void xcp (int argc, char *argv[]);
    
    void focus();
    void unfocus();
    void Next(Panel*);
    enum {
       ID_FILE_PANEL=FXVerticalFrame::ID_LAST,
       ID_DIRECTORY_UP,
       ID_VIEW,
       ID_EDIT,
       ID_ATTRIB,
       ID_FILE_COPY,
       ID_FILE_MOVE,
       ID_FILE_LINK,
       ID_FILE_SLINK,
       ID_FILE_DEL,
       ID_NEW_DIR,
       ID_GO_HOME,
       ID_COPY_CLP,
       ID_CUT_CLP,
       ID_PASTE_CLP,
       ID_OPEN_WITH,
       ID_FILTER,
       ID_STATUS,
       ID_LABEL,
       ID_REFRESH,
       ID_LAST,
   };
public:
//    long onUpdPanel(FXObject*,FXSelector,void*);
    long onUpdStatus(FXObject*,FXSelector,void*);
    long onUpdLabel(FXObject*,FXSelector,void*);
    long onLabelClcked(FXObject*,FXSelector,void*);
    long onCmdItemDblClcked(FXObject*,FXSelector,void*);
    long onCmdItemFilter(FXObject*,FXSelector,void*);
    long onCmdClp(FXObject*,FXSelector,void*);
    long onCmdPaste(FXObject*,FXSelector,void*);
    long onCmdItemClcked(FXObject*,FXSelector,void*);
    long onCmdDirectoryUp(FXObject*,FXSelector,void*);
    long onCmdGoHome(FXObject*,FXSelector,void*);
    long onCmdEdit(FXObject*,FXSelector,void*);  
    long onCmdAttrib(FXObject*,FXSelector,void*);  
    long onCmdFile(FXObject*,FXSelector,void*);
    long onCmdFileDel(FXObject*,FXSelector,void*);
    long onCmdNewDir(FXObject*,FXSelector,void*);  
    long onCmdOpenWith(FXObject*,FXSelector,void*);  
    long onRefresh(FXObject*,FXSelector,void*);
    long onPopupMenu(FXObject*,FXSelector,void*);
    long onUpdButton(FXObject*,FXSelector,void*);
    long onUpdHome(FXObject*,FXSelector,void*);
    long onUpdUp(FXObject*,FXSelector,void*);
    long onUpdFileButtons(FXObject*,FXSelector,void*);
    long onUpdPaste(FXObject*,FXSelector,void*);
    long onCmdKeyPress(FXObject*,FXSelector,void*);
//    long onCmdClick(FXObject*,FXSelector,void*);
};
#endif
